<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Theme Palace
 * @subpackage Yule Pro
 * @since Yule Pro 1.0.0
 */

get_header(); ?>

	<div id="page-header" class="relative">
        <div class="wrapper">
            <header class="page-header">
                <h2 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'yule-pro' ); ?></h2>
            </header><!-- .page-header -->
        </div><!-- .wrapper -->
    </div><!--#header-image -->

    <?php  
    /**
	 * yule_pro_add_breadcrumb_action hook
	 *
	 * @hooked yule_pro_add_breadcrumb -  10
	 *
	 */
	do_action( 'yule_pro_add_breadcrumb_action' );
    ?>
    <div id="inner-content-wrapper" class="page-section">
        <div class="wrapper">
			<div id="primary" class="content-area">
				<main id="main" class="site-main" role="main">

					<section class="error-404 not-found">
						<div class="page-content">
							<img src="<?php echo get_template_directory_uri() .'/assets/uploads/404.png' ; ?>" alt="<?php esc_attr_e( '404', 'yule-pro' ); ?>">
							<p><?php esc_html_e( 'It looks like nothing was found at this location.', 'yule-pro' ); ?></p>

							<?php get_search_form(); ?>
						</div><!-- .page-content -->
					</section><!-- .error-404 -->

				</main><!-- #main -->
			</div><!-- #primary -->

			<?php if ( is_active_sidebar( '404-page-sidebar' ) ) { ?>
				<aside id="secondary" class="widget-area" role="complementary">
					<?php dynamic_sidebar( '404-page-sidebar' ); ?>
				</aside><!-- #secondary -->
			<?php } ?>

		</div><!-- .wrapper -->
    </div><!-- #inner-->

<?php
get_footer();
