<?php
/**
 * Subscription options
 *
 * @package Theme Palace
 * @subpackage Yule Pro
 * @since Yule Pro 1.0.0
 */

// Add subscription section
$wp_customize->add_section( 'yule_pro_subscription_section', array(
	'title'             => esc_html__( 'Subscription','yule-pro' ),
	'description'       => sprintf( '%1$s <a href="' . esc_url( 'https://wordpress.org/plugins/jetpack/' ) . '" target="_blank"> %2$s </a>', esc_html__( 'Note: Please install Jetpack and enable subscription module. To install Jetpack ', 'yule-pro' ), esc_html__( 'Click Here', 'yule-pro' ) ),
	'panel'             => 'yule_pro_front_page_panel',
) );

// subscription enable control and setting
$wp_customize->add_setting( 'yule_pro_theme_options[subscription_section_enable]', array(
	'sanitize_callback' => 'yule_pro_sanitize_switch_control',
	'default'          	=> $options['subscription_section_enable'],
) );

$wp_customize->add_control( new Yule_Pro_Switch_Control( $wp_customize, 'yule_pro_theme_options[subscription_section_enable]', array(
	'label'             => esc_html__( 'Subscription Enable', 'yule-pro' ),
	'section'           => 'yule_pro_subscription_section',
	'on_off_label' 		=> yule_pro_switch_options(),
) ) );

// subscription btn label setting and control
$wp_customize->add_setting( 'yule_pro_theme_options[subscription_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'          	=> $options['subscription_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'yule_pro_theme_options[subscription_title]', array(
	'label'           	=> esc_html__( 'Button Label', 'yule-pro' ),
	'section'        	=> 'yule_pro_subscription_section',
	'active_callback' 	=> 'yule_pro_is_subscription_section_enable',
	'type'				=> 'text',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'yule_pro_theme_options[subscription_title]', array(
		'selector'            => '#subscribe-now .jetpack_subscription_widget h2.widgettitle',
		'settings'            => 'yule_pro_theme_options[subscription_title]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'yule_pro_subscription_btn_label_partial',
    ) );
}
