<?php
/**
 * Loader options
 *
 * @package Theme Palace
 * @subpackage Yule Pro
 * @since Yule Pro 1.0.0
 */

$wp_customize->add_section( 'yule_pro_loader', array(
	'title'            		=> esc_html__( 'Loader','yule-pro' ),
	'description'      		=> esc_html__( 'Loader section options.', 'yule-pro' ),
	'panel'            		=> 'yule_pro_theme_options_panel',
) );

// Loader enable setting and control.
$wp_customize->add_setting( 'yule_pro_theme_options[loader_enable]', array(
	'sanitize_callback' => 'yule_pro_sanitize_switch_control',
	'default'             	=> $options['loader_enable'],
) );

$wp_customize->add_control(  new Yule_Pro_Switch_Control( $wp_customize, 'yule_pro_theme_options[loader_enable]', array(
	'label'               	=> esc_html__( 'Enable loader', 'yule-pro' ),
	'section'             	=> 'yule_pro_loader',
	'on_off_label' 		=> yule_pro_switch_options(),
) ) );

