<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Yule Pro
* @since Yule Pro 1.0.0
*/

if ( ! function_exists( 'yule_pro_validate_long_excerpt' ) ) :
  function yule_pro_validate_long_excerpt( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'yule-pro' ) );
     } elseif ( $value < 5 ) {
         $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'yule-pro' ) );
     } elseif ( $value > 100 ) {
         $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'yule-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'yule_pro_validate_post_id' ) ) :
    function yule_pro_validate_post_id( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'yule-pro' ) );
        } elseif ( $value < 1 ) {
            $validity->add( 'min_value', esc_html__( 'Minimum value is 1', 'yule-pro' ) );
        } 
        return $validity;
    }
endif;

if ( ! function_exists( 'yule_pro_validate_latest_count' ) ) :
  function yule_pro_validate_latest_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'yule-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'yule-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'yule-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'yule_pro_validate_featured_count' ) ) :
  function yule_pro_validate_featured_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'yule-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_featured', esc_html__( 'Minimum no of posts is 1', 'yule-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_featured', esc_html__( 'Maximum no of posts is 10', 'yule-pro' ) );
     }
     return $validity;
  }
endif;
